Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: Pat Riehecky <riehecky-13hema8v3vg <at> public.gmane.org>
Subject: Security ERRATA Moderate: libvirt on SL6.x i386/x86_64
Newsgroups: gmane.linux.scientific.errata
Date: Thursday 28th February 2013 22:16:09 UTC (over 3 years ago)
Synopsis:          Moderate: libvirt security, bug fix, and enhancement 
update
Issue Date:        2013-02-21
CVE Numbers:       CVE-2012-3411
--

It was discovered that libvirt made certain invalid assumptions about 
dnsmasq's
command line options when setting up DNS masquerading for virtual machines,
resulting in dnsmasq incorrectly processing network packets from network
interfaces that were intended to be prohibited. This update includes the
changes necessary to call dnsmasq with a new command line option, which was
introduced to dnsmasq via SLSA-2013:0277. (CVE-2012-3411)

In order for libvirt to be able to make use of the new command line option
(--bind-dynamic), updated dnsmasq packages need to be installed. Refer to
SLSA-2013:0277 for additional information.

After installing the updated packages, libvirtd must be restarted ("service
libvirtd restart") for this update to take effect.
--

SL6
   x86_64
     libvirt-0.10.2-18.el6.x86_64.rpm
     libvirt-client-0.10.2-18.el6.i686.rpm
     libvirt-client-0.10.2-18.el6.x86_64.rpm
     libvirt-debuginfo-0.10.2-18.el6.i686.rpm
     libvirt-debuginfo-0.10.2-18.el6.x86_64.rpm
     libvirt-python-0.10.2-18.el6.x86_64.rpm
     libvirt-devel-0.10.2-18.el6.i686.rpm
     libvirt-devel-0.10.2-18.el6.x86_64.rpm
     libvirt-lock-sanlock-0.10.2-18.el6.x86_64.rpm
   i386
     libvirt-0.10.2-18.el6.i686.rpm
     libvirt-client-0.10.2-18.el6.i686.rpm
     libvirt-debuginfo-0.10.2-18.el6.i686.rpm
     libvirt-python-0.10.2-18.el6.i686.rpm
     libvirt-devel-0.10.2-18.el6.i686.rpm

- Scientific Linux Development Team
 
CD: 3ms